queue_work
Prev | Workqueues and Kevents | Next

## Name

queue_work — queue work on a workqueue

## Synopsis

`int fastcall queue_work (` | struct workqueue_struct * | wq,
| struct work_struct * | work`)`;

## Arguments

`wq`

  workqueue to use

`work`

  work to queue

## Description

Returns 0 if `work` was already on a queue, non-zero otherwise.

We queue the work to the CPU it was submitted, but there is no guarantee that it will be processed by that CPU.

Prev | Up | Next
Workqueues and Kevents | Home | queue_delayed_work